%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Spectrogram 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all hidden;
clear;

%Specification of function
fs =5000;               %sampling rate
a=0;b=1;
t = a:1/fs:b;           %time intervall [0,1]
f = sin(500*pi*t.*t);   %chirp function
%f = sin(400*2*pi*t)+sin(800*2*pi*t); f(1000)=10; f(2000)=10;


%Specification of parameters for spectrogram
%winLength = 1024;
winLength = 128;
ov = ceil(winLength/2);
%ov = 1000;
win = hanning(winLength);
%win = boxcar(winLength);
nfft = winLength;


%%
figure;
plot(t,f);
title('Function')
axis tight;
% sound(f,fs)

%%
figure;
spectrogram(f,win,ov,nfft,fs);
colorbar;

%%
figure;
[f_spec,w_spec,t_spec] = spectrogram(f,win,ov,nfft,fs);
imagesc(t_spec,w_spec,(abs(f_spec)));
axis xy;
colorbar;
%%

f_spec = spectrogram(f,win,ov,nfft,fs);

figure;
t_axis = t;
w_axis = ([1:size(f_spec,1)]-1)*fs/winLength;
f_spec = spectrogram(f,win,ov,nfft,fs);
imagesc(t_axis,w_axis,log(abs(f_spec)));
axis xy;
colorbar;
title('Spectrogram');
xlabel('Time t');
ylabel('Frequency \omega');

